<?php
/**
 * @copyright Copyright (C) 2005-2008 eZ systems as. All rights reserved.
 * @license http://ez.no/licenses/new_bsd New BSD License
 * @filesource
 * @package Archive
 * @version 1.3.1
 * @subpackage Tests
 */

/**
 * @package Archive
 * @version 1.3.1
 * @subpackage Tests
 */
class ezcArchiveEntryTest extends ezcTestCase
{
    public function testEntry()
    {
        date_default_timezone_set( "UTC" );

        $tar = ezcArchiveTar::getInstance( dirname( __FILE__) . "/data/tar_ustar_complex.tar" );
        $entry = $tar->getEntry();

        $this->assertEquals("files/bla/", $entry->getPath() );
        $this->assertEquals(1129810752, $entry->getModificationTime() );
        $this->assertEquals("rb", $entry->getUserId() );
        $this->assertEquals("users", $entry->getGroupId() );
        $this->assertEquals(0, $entry->getSize() );
        $this->assertEquals("0000755", $entry->getPermissions() );
        $this->assertEquals("rwxr-xr-x", $entry->getPermissionsString() );
    }

    public static function suite()
    {
        return new PHPUnit_Framework_TestSuite( __CLASS__ );
    }
}
?>
